
Katello - Bug #24566

As a user, I want container image pull to 302 redirect to local smart-proxy pulp.

08/08/2018 01:47 PM - Thomas McKay

Status: New   

Priority: Normal   

Assignee: Thomas McKay   

Category: Container   

Target version: Katello Backlog   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Given a setup of foreman w/ capsule:

1. podman pull capsule.example.com/alpine:latest

1a. call is proxied through to foreman.example.com where auth/etc is handled

1b. response is 302 to capsule.example.com/pulp/docker local

History

#1 - 08/08/2018 05:53 PM - Justin Sherrill

- Triaged changed from No to Yes

#2 - 10/03/2018 06:22 PM - Jonathon Turel

- Target version changed from Katello 3.9.0 to Katello Backlog
